curl --request GET \
--url https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/user/profile \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/user/profile"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cost": 1,
"data": {
"id": "251749025",
"urn": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"public_identifier": "williamhgates",
"first_name": "Bill",
"last_name": "Gates",
"full_name": "Bill Gates",
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"is_premium": true,
"is_open_to_work": false,
"is_hiring": false,
"is_memorialized": false,
"is_influencer": true,
"is_top_voice": true,
"is_creator": true,
"birth": {
"day": 28,
"month": 10,
"year": 1955
},
"pronoun": "he/him",
"created": 1367521780840,
"created_date": "2013-05-02T19:09:40.840Z",
"location": {
"country": "United States",
"country_code": "US",
"city": "Austin",
"geographic_area": "Texas",
"line1": "111 Congress Ave",
"line2": "111 Congress Ave",
"postal_code": "78701"
},
"avatar": [
{
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
],
"cover": [
{
"width": 1128,
"height": 191,
"url": "https://media.licdn.com/dms/image/v2/D4E3DAQE7GzWAY8oQqw/image-scale_191_1128/image-scale_191_1128/0/1673607409141/stelvio_group_cover?e=1743404400&v=beta&t=SVZsPNKFMAMIKIlgUgJ8NXFkS_9-GL2StdBztrq52vs",
"expires_at": 1748476800000
}
],
"associated_hashtag": [
"#books",
"#healthcare",
"#innovation",
"#climatechange",
"#sustainability"
],
"website": {
"title": "Bill & Melinda Gates Foundation",
"url": "https://www.gatesfoundation.org/"
},
"supported_locales": [
{
"country": "US",
"language": "en"
}
],
"primary_locale": {
"country": "US",
"language": "en"
},
"follower_and_connection": {
"follower_count": 11832,
"connection_count": 1142
},
"experiences": [
{
"title": "Software Engineer",
"description": "Developed and maintained software applications",
"location": "El Segundo, California, United States · On-site",
"employment_type": "Full-time",
"date": {
"start": "Feb 2025",
"end": "Present"
},
"skills": [
"JavaScript",
"React"
],
"company": {
"id": "2601253",
"name": "DigitalOcean",
"url": "https://www.linkedin.com/company/2601253/",
"logo": [
{
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
]
},
"media": [
{
"title": "Title",
"description": "Description",
"thumbnail": {
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
}
]
}
],
"skills": [
{
"skill": "JavaScript",
"num_endorsements": 1,
"is_passed_skill_assessment": true
}
],
"certifications": [
{
"title": "AWS Certified Solutions Architect - Associate",
"authority": "Amazon Web Services",
"credential_url": "https://www.credly.com/badges/12345678",
"issued_at": "Jan 2020"
}
],
"publications": [
{
"title": "The Infinite Game",
"publication": "Portfolio",
"description": "We can’t choose the game. We can’t choose the rules. We can only choose how we play...",
"date": "Oct 15, 2019",
"publication_url": "https://simonsinek.com/books/the-infinite-game/"
}
],
"educations": [
{
"id": "15099024",
"school": "University of California, Los Angeles",
"date": {
"start": "Feb 2025",
"end": "Present"
},
"degree": "Bachelor of Science",
"grade": "3.5",
"description": "Studied computer science",
"activities": "Member of the Computer Science Club",
"media": [
{
"title": "Title",
"description": "Description",
"thumbnail": {
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
}
],
"skills": [
"JavaScript",
"React"
]
}
],
"honors": [
{
"title": "Breakthrough",
"caption": "Awarded for outstanding performance",
"issued_by": "DigitalOcean",
"issued_at": "Jan 2020",
"associated_with": "DigitalOcean",
"media": [
{
"title": "Title",
"description": "Description",
"thumbnail": {
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
}
]
}
],
"volunteers": [
{
"organization": "DigitalOcean",
"title": "Volunteer",
"cause": "Education",
"duration": "1 year",
"description": "Mentored students in computer science",
"date": {
"start": "Feb 2025",
"end": "Present"
},
"media": [
{
"title": "Title",
"description": "Description",
"thumbnail": {
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
}
]
}
],
"spoken_languages": [
{
"language": "English",
"caption": "English (United States)"
}
],
"bio": "<string>"
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"success": false,
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500,
"cost": 0,
"explain": "Oops, it looks like there was an issue processing your request. Don't worry, you won't be charged for this request. If you need any help, don't hesitate to contact us via email [email protected] or telegram https://t.me/saleleads"
}Get User Profile
Retrieve the profile information of a specific user, including optional details such as experiences, skills, services, certifications, publications, honors, volunteer experiences, and educational background.
Authorizations
Rapid API Key
Query Parameters
The username of the user whose profile is being requested.
Include follower and connection count in the response. Enabling this option will consume an additional 1 request.
Include user's work experiences in the response. Enabling this option will consume an additional 1 request.
Include user's skills in the response. Enabling this option will consume an additional 1 request.
Include user's services in the response. Enabling this option will consume an additional 1 request.
Include user's certifications in the response. Enabling this option will consume an additional 1 request.
Include user's publications in the response. Enabling this option will consume an additional 1 request.
Include user's honors and awards in the response. Enabling this option will consume an additional 1 request.
Include user's volunteer experiences in the response. Enabling this option will consume an additional 1 request.
Include user's educational background in the response. Enabling this option will consume an additional 1 request.
Include user's bio (about) in the response. Enabling this option will consume an additional 1 request.